Bug 1107770 - Is it possible to build suricata for EPEL?
Summary: Is it possible to build suricata for EPEL?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: suricata
Version: 24
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-10 14:57 UTC by bca
Modified: 2016-03-31 05:29 UTC (History)
6 users (show)

Fixed In Version: suricata-3.0-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-31 05:29:26 UTC


Attachments (Terms of Use)
Patch to build for epel-7. (1.73 KB, patch)
2014-10-29 16:30 UTC, Jason Ish
no flags Details | Diff
suricata-user.patch (2.67 KB, patch)
2016-02-10 17:18 UTC, Peter Schiffer
no flags Details | Diff

Description bca 2014-06-10 14:57:01 UTC
Hi

is it possible to build suricata for EPEL, to make it available on RHEL6?

Regards,
-- 
Bente

Comment 1 Jason Ish 2014-10-29 16:30:42 UTC
Created attachment 951843 [details]
Patch to build for epel-7.

Here is a patch that enables the f20 to build for epel-7.  The only change is to not use luajit, and just use liblua support instead.

Additionally, copytruncate is no longer required.

Comment 2 Fedora End Of Life 2015-05-29 12:04:47 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 21:03:11 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Peter Schiffer 2016-01-17 01:03:45 UTC
Could this bug be reopened? Suricata is still not available for epel. It would be awesome to have it on both, epel 6 and 7.

Thanks.

peter

Comment 5 Jason Ish 2016-01-18 13:45:00 UTC
If possible I'd like to help out here.  I'm currently part of the Suricata core team and do maintain EL7 Suricata RPMs (based on these Fedora ones) in an external repository and on copr.

Comment 6 Steve Grubb 2016-01-26 13:31:07 UTC
There is a change that I would like to make before pushing it out into EPEL. Currently it runs as root, which is bad. I'd like to change it to run on a "suricata" account. That means fixing file permissions in the rpm specfile. I'd also like to push the same thing into rawhide so that its corrected on Fedora some day. If anyone has time to fix the spec file and attach a patch, I'll take care of the rest. Otherwise I'll see if I can find some spare time to play with this next month. Thanks.

Comment 7 Peter Schiffer 2016-02-10 17:18:25 UTC
Created attachment 1122850 [details]
suricata-user.patch

Hi Steve,

I'm attaching .spec file patch to run suricata under suricata user. I also see, that there is now stable suricata 3.0 release. Do you want to help with rebase as well? It would be great to have 3.0 in epel.

peter

Comment 8 Steve Grubb 2016-02-10 17:49:56 UTC
Thanks. I'll look at the patch next week when I get back from DevConf. I already have another patch moving to 3.0. I'll combine them both for rawhide/F24/EPEL7 and just use the other patch for F23/22. Thanks again for the patch.

Comment 9 Jan Kurik 2016-02-24 13:15:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 10 Steve Grubb 2016-03-07 20:51:16 UTC
Patch has been applied and new build pushed into rawhide.

Comment 11 Fedora Update System 2016-03-14 19:42:29 UTC
suricata-3.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-59d44f4fd2

Comment 12 Fedora Update System 2016-03-16 02:51:11 UTC
suricata-3.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-59d44f4fd2

Comment 13 Fedora Update System 2016-03-31 05:29:23 UTC
suricata-3.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.